-- SheepCanceler for RIFT by Vritra

local function CheckSheep()
	local list = Inspect.Buff.List("player")
	if list == nil then return end
	local detail = Inspect.Buff.Detail("player", list)
	if detail == nil then return end
	for id, info in pairs(detail) do
		if info.type == "B69270855B9A593AC" then	--Sheep
			return true, id
		end
	end
	return false
end

local Context = UI.CreateContext("SheepCanceler")
local SheepCancelButton = UI.CreateFrame("RiftButton", "SheepCancelButton", Context)
SheepCancelButton:SetText("Cancel Sheep")
SheepCancelButton:SetPoint(.5,0, UIParent, .5,0)
SheepCancelButton:SetHeight(60)
SheepCancelButton:SetWidth(280)
SheepCancelButton:SetVisible(false)

function SheepCancelButton.Event:LeftPress()
	SheepCancelButton:SetVisible(false)
	local sheep, id = CheckSheep()
	if sheep then
		Command.Buff.Cancel(id)
	end
end

local function SetButtonVisible()
	local sheep, _ = CheckSheep()
	if sheep then
		SheepCancelButton:SetVisible(true)
	end
end
table.insert(Event.Buff.Add, {SetButtonVisible, "SheepCanceler", "OnBuffAdd"})


local function SetButtonVisible2()
	local sheep, _ = CheckSheep()
	local visible = SheepCancelButton:GetVisible()
	if sheep == false and visible then
		SheepCancelButton:SetVisible(false)
	end
end
table.insert(Event.Buff.Remove, {SetButtonVisible2, "SheepCanceler", "OnBuffRemove"})
